<div style="margin-bottom: 15px;">
    <div class="text-left">
        <p-accordion class="detail-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus" [activeIndex]="index">
            <p-accordionTab header="Rencana Anggaran Pembelian Perangkat Komputer">
                <p-dataTable
                    [value]="unitChecks">
                    <p-header>
                        <ul class="nav justify-content-end">
                            <li class="nav-item">
                                <a class="btn" (click)="addNewData()">
                                    <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                            </li>
                        </ul>
                    </p-header>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Item">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nmBarang}}
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty}}
                        </ng-template>
                    </p-column>
                    <p-column header="Harga Per Unit">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.price | number}}
                        </ng-template>
                    </p-column>
                    <p-column header="Total Harga">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.totalPrice | number}}
                        </ng-template>
                    </p-column>
                    <p-column header="Keterangan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.desc}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="button" 
                                (click)="delete(rowData.idReqItem)"
                                icon="fa-remove"
                                class="flat-button">
                            </button>
                        </ng-template>
                    </p-column>
                    <p-footer>
                        <div class="nav justify-content-end">
                            <div class="col-md-4 col-sm-8">Total</div>
                            <div class="col-md-8 col-sm-4">{{tothw | number}}</div>
                        </div>
                        <!-- <div class="nav justify-content-end">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_nsPrice">Total</label>
                                    <input currencyMask class="form-control" name="nsPrice" id="field_nsPrice"
                                        [(ngModel)]="tothw"
                                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                        />
                                </div>
                            </div>
                        </div> -->
                    </p-footer>
                </p-dataTable>
            </p-accordionTab>
            <p-accordionTab header="Rencana Anggaran Pembelian Software">
                <p-dataTable
                    [value]="unitSw">
                    <p-header>
                        <ul class="nav justify-content-end">
                            <li class="nav-item">
                                <a class="btn" (click)="addNewData1()">
                                    <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                            </li>
                        </ul>
                    </p-header>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Item">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nmBarang}}
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty}}
                        </ng-template>
                    </p-column>
                    <p-column header="Harga Per Unit">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.price | number}}
                        </ng-template>
                    </p-column>
                    <p-column header="Total Harga">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.totalPrice | number}}
                        </ng-template>
                    </p-column>
                    <p-column header="Keterangan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.desc}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="button" 
                                (click)="delete(rowData.idReqItem)"
                                icon="fa-remove"
                                class="flat-button">
                            </button>
                        </ng-template>
                    </p-column>
                    <p-footer>
                        <div class="nav justify-content-end">
                            <div class="col-md-4 col-sm-8">Total</div>
                            <div class="col-md-8 col-sm-4">{{totsw | number}}</div>
                        </div>
                    </p-footer>
                </p-dataTable>
            </p-accordionTab>
            <p-accordionTab header="Rencana Anggaran Non Standard Software">
                <p-dataTable
                    [value]="nsUnit">
                    <p-header>
                        <ul class="nav justify-content-end">
                            <li class="nav-item">
                                <a class="btn" (click)="addNewData2()">
                                    <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                            </li>
                        </ul>
                    </p-header>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Item">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nmBarang}}
                        </ng-template>
                    </p-column>
                    <p-column header="Jumlah">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.qty}}
                        </ng-template>
                    </p-column>
                    <p-column header="Harga Per Unit">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.price | number}}
                        </ng-template>
                    </p-column>
                    <p-column header="Total Harga">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.totalPrice | number}}
                        </ng-template>
                    </p-column>
                    <p-column header="Keterangan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.desc}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="button" 
                                (click)="delete(rowData.idReqItem)"
                                icon="fa-remove"
                                class="flat-button">
                            </button>
                        </ng-template>
                    </p-column>
                    <p-footer>
                        <div class="nav justify-content-end">
                            <div class="col-md-4 col-sm-4">Total</div>
                            <div class="col-md-8 col-sm-8">{{totns | number}}</div>
                        </div>
                    </p-footer>
                    <!-- <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            <button pButton type="button"
                                icon="fa-trash-o"
                                class="flat-button"
                                pTooltip="Remove"
                                (click)="delete(rowData.idReqItem)"
                                >
                            </button>
                        </ng-template>
                    </p-column> -->
                </p-dataTable>
            </p-accordionTab>
        </p-accordion>    
    </div>
</div>

<p-dialog header="Rencana Anggaran Pembelian Software" [(visible)]="newModal1" modal="true" [width]="600"  [height]="450">
    <form name="editForm" role="form" novalidate (ngSubmit)="addData2()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_KdBarang">Kode Barang</label>
                            <p-dropdown [options]="listKdBarang1" styleClass="form-control" autoWidth="false"
                                [style]="{'width':'100%'}"
                                [(ngModel)]="itemSw" id="field_KdBarang" name="KdBarangs"
                                [filter]="true" filterBy="label" 
                                (onChange)="selectKdBarang1(true)"
                            ></p-dropdown>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_qtySw">Qty</label>
                            <input currencyMask class="form-control" name="qtySw" id="field_qtySw"
                                [(ngModel)]="qtySw"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_KetSw">Keterangan</label>
                            <input type="text" class="form-control" name="KetSw" id="field_KetSw"
                                [(ngModel)]="KetSw" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button pButton type="submit"
                label="{{'entity.action.save' | translate}}"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Rencana Anggaran Pembelian Perangkat Komputer" [(visible)]="newModal" modal="true" [width]="750"  [height]="450">
    <form name="editForm" role="form" novalidate (ngSubmit)="addData1()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_KdBarang">Kode Barang</label>
                            <p-dropdown [options]="listKdBarang"
                            styleClass="form-control" autoWidth="false"
                                [style]="{'width':'100%'}"
                                [(ngModel)]="selectedKdBarang" id="field_KdBarang" name="KdBarangs"
                                [filter]="true" filterBy="label" 
                                (onChange)="selectKdBarang(true)"
                            ></p-dropdown>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inPcReqUdr5Th">Pengganti Berumur Dibawah 5 Tahun</label>
                            <input currencyMask class="form-control" name="inPcReqUdr5Th" id="field_inPcReqUdr5Th"
                                [(ngModel)]="inPcReqUdr5Th"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inPcReqNew"> Untuk Personil Baru</label>
                            <input currencyMask class="form-control" name="inPcReqNew" id="field_inPcReqNew"
                                [(ngModel)]="inPcReqNew"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_ket">Keterangan</label>
                            <input type="text" class="form-control" name="ket" id="field_ket"
                                [(ngModel)]="inKet" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <!-- <button type="button" class="btn btn-primary" (click)="addData1()" [disabled]="addDataBtnDisable()">
                    <span>ENTER</span>
                </button> -->

            <!-- <button pButton type="button" data-dismiss="modal" (click)="clear()"
                label="{{'entity.action.cancel' | translate}}"
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button> -->
            <button pButton type="submit"
                label="{{'entity.action.save' | translate}}"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Rencana Anggaran Non Standard Software" [(visible)]="newModal2" modal="true" [width]="750"  [height]="450">
    <form name="editForm" role="form" novalidate (ngSubmit)="addData3()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_KdBarang">Item</label>
                            <input type="text" class="form-control" name="KdBarangs" id="field_KdBarang"
                                [(ngModel)]="nsItem" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nsQty">Qty</label>
                            <input currencyMask class="form-control" name="nsQty" id="field_nsQty"
                                [(ngModel)]="nsQty"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nsPrice">Harga Per Unit</label>
                            <input currencyMask class="form-control" name="nsPrice" id="field_nsPrice"
                                [(ngModel)]="nsPrice"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nsKet">Keterangan</label>
                            <input type="text" class="form-control" name="nsKet" id="field_nsKet"
                                [(ngModel)]="nsKet" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button pButton type="submit"
                label="{{'entity.action.save' | translate}}"
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
